Skip to content

Get a check profile

GET
/api/v1/data-source-groups/{uuid}
curl --request GET \
--url https://app.hostrepute.com/api/v1/data-source-groups/01a178db-d581-700d-9729-4f4abc8cee72 \
--header 'Authorization: Bearer <token>'

Get one of your team’s check profiles.

Needs the data-source-group:read ability.

uuid
required
string

The UUID of the check profile.

Example

01a178db-d581-700d-9729-4f4abc8cee72
Media typeapplication/json
object
data
object
uuid
string
name
string
slug
string
description
string
is_default
boolean
deliverability_checks_enabled
boolean
deliverability_checks
Array<string>
created_at
string
updated_at
string

Example

{
"data": {
"uuid": "01a178db-d581-700d-9729-4f4abc8cee72",
"name": "Default",
"slug": "default",
"description": "All production domains",
"is_default": true,
"deliverability_checks_enabled": true,
"deliverability_checks": [
"mx_health",
"spf_record",
"spf_strict",
"spf_lookup_limit",
"dmarc_record",
"dmarc_strict"
],
"created_at": "2026-07-14T09:12:44.000000Z",
"updated_at": "2026-09-02T14:05:31.000000Z"
}
}

No check profile with this UUID in your team

Media typeapplication/json
object
message
string

Example

{
"message": "No query results for model [App\\Models\\DataSourceGroup] 01a178db-d581-700d-9729-4f4abc8cee72"
}